ProyectoCrm/src/app/Modulos/ConsultaClienteModulo/Paginas/fw-consulta-cliente/fw-consulta-cliente.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="row">
      <div class="col-12 col-lg-4">
        <div class="form-row">
          <div class="form-group col-12">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-search"></i></span></div>
              <input class="ControlInput--Input" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda" size="sm"/>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <ng-container *ngFor="let tClienteFor of tClientes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag">
              <app-fw-consulta-cliente-listado [Cliente]="tClienteFor" [Actual]="tClienteFor.Codcliente === tClienteActual.Codcliente ? true : false" (seleccionarCliente)="SeleccionarCliente($event)"></app-fw-consulta-cliente-listado>
            </ng-container>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tClientes.length" [(page)]="tPagina" [pageSize]="tTamanoPag" size="sm"></ngb-pagination>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-8">
        <div class="form-row">
          <div class="form-group col-12">
            <app-fw-consulta-cliente-detalle [Cliente]="tClienteActual"></app-fw-consulta-cliente-detalle>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/ConsultaClienteModulo/Paginas/fw-consulta-cliente/fw-consulta-cliente.page.pug
extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.row
    div.col-12.col-lg-4
      div.form-row
        div.form-group.col-12
          div.ControlInput
            div.ControlInput--ContenedorIcono
              span.ControlInput--ContenedorIcono-Icono
                i.fas.fa-search
            input(type="text",
              placeholder="Ingrese busqueda",
              [(ngModel)]="tFiltroBusqueda",
              size="sm").ControlInput--Input
      div.form-row
        div.form-group.col-12
          ng-container(*ngFor="let tClienteFor of tClientes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag")
            app-fw-consulta-cliente-listado([Cliente]="tClienteFor",
              [Actual]="tClienteFor.Codcliente === tClienteActual.Codcliente ? true : false",
              (seleccionarCliente)="SeleccionarCliente($event)")
      div.form-row
        div.form-group.col-12
          ngb-pagination(aria-label="Default pagination",
                          [collectionSize]="tClientes.length",
                          [(page)]="tPagina",
                          [pageSize]="tTamanoPag",
                          size="sm").d-flex.justify-content-center
    div.col-12.col-lg-8
      div.form-row
        div.form-group.col-12
          app-fw-consulta-cliente-detalle([Cliente]="tClienteActual")
